/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.fund.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.fund.entity.Fund;
import com.jeeplus.modules.sg.fund.mapper.FundMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.EngineeringAmount;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.OtherAmount;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.UploadImages;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.ConstructionMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.utils.MyImportUtils;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project1;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * 施工交底Service
 * @author
 * @version 2019-11-08
 */
@Service
@Transactional(readOnly = true)
public class FundService extends CrudService<FundMapper, Fund> {

	@Autowired
	private FundMapper fundMapper;

	public Fund get(String id) {
		Fund fund = super.get(id);
		return fund;
	}

	@Override
	public void delete(Fund entity) {
		super.delete(entity);
	}

	@Transactional(readOnly = false)
	public void update(Fund fund) {
		fundMapper.update(fund);
	}

	//修改项目wbs
	@Transactional(readOnly = false)
	public void updateWbs(String wbsEncoding,String wbsNumber,String procInsId) {
		fundMapper.updateWbs(wbsEncoding,wbsNumber, procInsId);
	}

	//修改项目资产卡片号
	@Transactional(readOnly = false)
	public void updateAsset(String assetCardNumber, String procInsId) {
		fundMapper.updateAsset(assetCardNumber, procInsId);
	}


	@Transactional(readOnly = false)
	public void deleteList(String[] idList) {
		fundMapper.deleteList(idList);
	}
}